package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class EndApplyBean {

        /**
         * records : [{"createdBy":675,"createdByName":null,"createdTime":"2020-04-12 14:49:30","updatedBy":null,"updatedByName":null,"updatedTime":null,"commenceFromId":null,"createdType":null,"id":9,"orderId":"SO10627","orderType":"SO","status":"0","applyRemark":"121","auditRemark":null,"serialNumber":"AEI20041214492955","deptIdList":null,"ownId":null,"applyDeptType":"launch","applyDeptId":120,"applyUserId":675,"auditDeptId":null,"auditUserId":null,"applyDeptName":"销售一公司","applyUserName":"李凯","auditDeptName":null,"auditUserName":null,"canAuditDeptId":137}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 675
             * createdByName : null
             * createdTime : 2020-04-12 14:49:30
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * commenceFromId : null
             * createdType : null
             * id : 9
             * orderId : SO10627
             * orderType : SO
             * status : 0
             * applyRemark : 121
             * auditRemark : null
             * serialNumber : AEI20041214492955
             * deptIdList : null
             * ownId : null
             * applyDeptType : launch
             * applyDeptId : 120
             * applyUserId : 675
             * auditDeptId : null
             * auditUserId : null
             * applyDeptName : 销售一公司
             * applyUserName : 李凯
             * auditDeptName : null
             * auditUserName : null
             * canAuditDeptId : 137
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private String updatedTime;
            private Object commenceFromId;
            private Object createdType;
            private int id;
            private String orderId;
            private String orderType;
            private String status;
            private String applyRemark;
            private String auditRemark;
            private String serialNumber;
            private Object deptIdList;
            private Object ownId;
            private String applyDeptType;
            private int applyDeptId;
            private int applyUserId;
            private Object auditDeptId;
            private Object auditUserId;
            private String applyDeptName;
            private String applyUserName;
            private Object auditDeptName;
            private String auditUserName;
            private int canAuditDeptId;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public Object getCommenceFromId() {
                return commenceFromId;
            }

            public void setCommenceFromId(Object commenceFromId) {
                this.commenceFromId = commenceFromId;
            }

            public Object getCreatedType() {
                return createdType;
            }

            public void setCreatedType(Object createdType) {
                this.createdType = createdType;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getApplyRemark() {
                return applyRemark;
            }

            public void setApplyRemark(String applyRemark) {
                this.applyRemark = applyRemark;
            }

            public String getAuditRemark() {
                return auditRemark;
            }

            public void setAuditRemark(String auditRemark) {
                this.auditRemark = auditRemark;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getDeptIdList() {
                return deptIdList;
            }

            public void setDeptIdList(Object deptIdList) {
                this.deptIdList = deptIdList;
            }

            public Object getOwnId() {
                return ownId;
            }

            public void setOwnId(Object ownId) {
                this.ownId = ownId;
            }

            public String getApplyDeptType() {
                return applyDeptType;
            }

            public void setApplyDeptType(String applyDeptType) {
                this.applyDeptType = applyDeptType;
            }

            public int getApplyDeptId() {
                return applyDeptId;
            }

            public void setApplyDeptId(int applyDeptId) {
                this.applyDeptId = applyDeptId;
            }

            public int getApplyUserId() {
                return applyUserId;
            }

            public void setApplyUserId(int applyUserId) {
                this.applyUserId = applyUserId;
            }

            public Object getAuditDeptId() {
                return auditDeptId;
            }

            public void setAuditDeptId(Object auditDeptId) {
                this.auditDeptId = auditDeptId;
            }

            public Object getAuditUserId() {
                return auditUserId;
            }

            public void setAuditUserId(Object auditUserId) {
                this.auditUserId = auditUserId;
            }

            public String getApplyDeptName() {
                return applyDeptName;
            }

            public void setApplyDeptName(String applyDeptName) {
                this.applyDeptName = applyDeptName;
            }

            public String getApplyUserName() {
                return applyUserName;
            }

            public void setApplyUserName(String applyUserName) {
                this.applyUserName = applyUserName;
            }

            public Object getAuditDeptName() {
                return auditDeptName;
            }

            public void setAuditDeptName(Object auditDeptName) {
                this.auditDeptName = auditDeptName;
            }

            public String getAuditUserName() {
                return auditUserName;
            }

            public void setAuditUserName(String auditUserName) {
                this.auditUserName = auditUserName;
            }

            public int getCanAuditDeptId() {
                return canAuditDeptId;
            }

            public void setCanAuditDeptId(int canAuditDeptId) {
                this.canAuditDeptId = canAuditDeptId;
            }
        }
    }
